# frozen_string_literal: true

class Artabl::Cell
  def initialize(body:, column:, row:)
    @body = body
    @column = column
    @row = row

    column.add_cell(self)
    row.add_cell(self)
  end

  attr_reader :body, :column, :row

  def size
    body.length
  end
end
